Package openlink.util

## Class OPLHeapClob.BlobOutputWriter

- java.lang.Object
- - java.io.Writer
  - - openlink.util.OPLHeapClob.BlobOutputWriter

Enclosing class:
  OPLHeapClob

    protected class OPLHeapClob.BlobOutputWriter
    extends java.io.Writer

### Field Summary

Fields
`protected int` `count`

### Fields inherited from class java.io.Writer

`lock`

### Constructor Summary

Constructors
`protected` `BlobOutputWriter​(java.lang.Object lck, long pos)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close​()`
`void` `flush​()`
`void` `write​(char[] c, int off, int len)`
`void` `write​(int c)`
`void` `write​(java.lang.String str, int off, int len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from class java.io.Writer

`append, append, append, write, write`

### Field Detail

#### count

    protected int count

### Constructor Detail

#### BlobOutputWriter

    protected BlobOutputWriter​(java.lang.Object lck,
                               long pos)

### Method Detail

#### write

    public void write​(int c)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.Writer`
Throws:
  `java.io.IOException`

#### write

    public void write​(char[] c,
                      int off,
                      int len)
               throws java.io.IOException

Specified by:
  `write` in class `java.io.Writer`
Throws:
  `java.io.IOException`

#### write

    public void write​(java.lang.String str,
                      int off,
                      int len)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.Writer`
Throws:
  `java.io.IOException`

#### flush

    public void flush​()

Specified by:
  `flush` in class `java.io.Writer`

#### close

    public void close​()

Specified by:
  `close` in class `java.io.Writer`